| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3382 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
|
0
Hi , your explanation was really clear. I came up with a solution inspired from yours, I used your idea to calculate b1[] and b2[] where b1[i] is the maximum impact while using i operations of cost 1 (and cost 2 for b2[i] ).But instead of dp , I binary searched for the number of operations , which is < nlog(nWmax) as you said , for a fixed number of operations , say x , there is x+1 ways to construct a solution : take i + (x-1)mod 2 from cost 1 and (x-i) / 2 from cost 2 with 0 <= i <= x . For each of these possibilities , we can calculate the maximum impact which is y = b1[i + (x-1)mod2] + b2[(x-i) / 2] , if Sum_impact — y <= s for any i then x is valid. It works in O(nlog(nWmax)*log(nlog(nWmax))) Hope i explained it well . |
|
+13
How to solve E2 ? |
|
0
Auto comment: topic has been updated by youssefbou62 (previous revision, new revision, compare). |
|
+16
for all i <= n we have a_i <= n so you don't need to save sums > n. |
|
0
thanks. |
|
+3
"Finding node u, v could be done with dfs and stack for each milk_type." Could you elaborate ? |
|
0
How to solve gold milkvisits ( the one about trees ). |
|
+4
|
|
On
youssefbou62 →
Explain short solution to find farthest point from every node please ! , 7 years ago
+10
Got it , thanks a lot ! |
|
0
In coin combination my solution is O(x*n) but I implemented it bottom and bookshop is classic knapsack in O(x*n) too and you don't need to save O(x*n) state but only previous state.have you implemented your solution in top down or bottom up dp ? |
|
0
https://cses.fi/problemset/list/ Dp section has some classic dp problems |
|
On
youssefbou62 →
Explain short solution to find farthest point from every node please ! , 7 years ago
+3
and why does it work ? if I understood well d1,d2 save the distances from two leaves of the diameter to every node? |
|
On
youssefbou62 →
Explain short solution to find farthest point from every node please ! , 7 years ago
0
Auto comment: topic has been updated by youssefbou62 (previous revision, new revision, compare). |
|
0
I still don't understand the solution for this problem even after watching Errichto's video.Any help ? |
|
0
This is not what rudy said in his comment. |
|
0
I was searching a solution for a problem on google. |
|
On
I_love_Saundarya →
How to find the count of numbers less than 'k' in a given range of array? , 7 years ago
0
We can solve this problem Offline. First, sort the queries in increasing order and the values of the array as {value,index}. For each query ,using a data structure which can do sums and update operations (eg segment tree or bit), set to one the all the indices which have value < K of the current query and >= K of the previous query .As you have done this for previous queries the sum query will take into account all values < K.the answer of i'th query is sum(l,r) after performing updates. Here's my submission for a similar problem. |
|
+20
Stop saying no sense please! |
|
0
I get it Thank you. |
|
0
More details please. |
|
0
How to solve problem D ? |
|
+3
Hi could you please upload the articles you write on your github for people who understand french ? It's often hard to find clear explanations for OI problems. |
|
+1
How to solve D2 ? |
|
+4
amiratou is my favorite coder ! |
|
-49
Send $5500 and I'll help! |
|
0
Thanks a lot for the explanation ! |
|
On
cdkrot →
Editorial of Codeforces Round #567 (based on All-Russian olympiad in the name of Keldysh), 7 years ago
0
Could explain in more details the solution to problem D ? |
|
0
any link to your submission ? |
|
0
Please, what are the math/algorithm prerequisites to understand the problem's E solution? |
|
0
please refer to this |
|
0
I misread the statement , sorry . |
|
0
"you can just simulate the process, performing actions from third to first."__ why in that order ? |
|
0
that's wrong ! |
|
0
let's take n = 10 and order /2 , 4/5 ,2/3 then n is 10 , 5 , 4 this outputs -1 so order does matter if u do it this type of operations but i think you to wanted to get its factors so you do /2 , ans ++ , /5 , ans+= 3 , /3 ,ans+= 2 , |
|
+1
for problem A why do you choose this order of operation 4*n/5 , 2*n/3 , n / 2 ? |
|
0
check answers above before commenting. |
|
+5
understood ! thank you very much. |
|
0
How to solve problem E ? |
|
+10
|
|
+3
Could anyone offer more explanation for problem F ? I don't understand this " If you fix some k and C, the route would be uniquely decided. Let f(k, C) be the score for the route. Then it holds that " and its implementation even after looking at AC submissions. |
|
0
Thank you. |
|
+3
Could anyone provide a clear explanation for problem D pls ? |
|
+16
Some troller put my name in the list . Could you please remove it ? |
|
0
How to solve D ? |
|
0
Are there any problems similar to problem D for practice ? |
|
0
What's the approach for Div2D(Div1A) please ? |
|
+1
Worst case is when you start at position (0,0) and destination is(1e9,1e9) then manhattan distance is 2*1e9 , also in worst case scenario wind would be against you and it is at max 1e5 so if you can reach destination you should be able to move by 1 every wind cycle therefore 2*1e9*1e5 = 2e14 |
|
0
Yes if someone can further explain it it would be really nice. |
|
0
Could you please further explain what your check function does ? |
|
0
|
|
Could you provide the link of your youtube channel ? I really want to watch today's stream's replay . |
|
0
Thank you that helped me a lot ! |
|
0
Can anyone explain to me why my solution for problem C get's WA In testcase 13 ? 42740594 |
| Name |
|---|


